Snapvisor Docs
API ReferenceDeployments

List a project's deployments

List a project's deployments, most recent first. Use `environment` to keep only the production ones — the deployments that answer "what is live right now?". Use it to find what is deployed for a project, or the address of a deployment.

GET
/projects/{owner}/{project}/deployments

List a project's deployments, most recent first. Use environment to keep only the production ones — the deployments that answer "what is live right now?". Use it to find what is deployed for a project, or the address of a deployment.

Authorization

AuthorizationBearer <token>

Authenticate as a project with a project token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <project-token>

You can find your project token in your Snapvisor project settings. Project tokens are used by CI and the SDK to create builds and deployments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length

Query Parameters

perPage?string

Number of items per page (max 100)

page?string

Page number

environment?string

Restrict to one environment.

Value in

  • "preview"
  • "production"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/string/deployments"
{  "pageInfo": {    "total": 0,    "page": 0,    "perPage": 0  },  "results": [    {      "id": "string",      "status": "pending",      "environment": "preview",      "branch": "string",      "commitSha": "string",      "url": "http://example.com",      "createdAt": "string"    }  ]}